package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Date: 2021/6/9.
 */
public class CourseInfo {

    @ApiModelProperty(value = "试卷编号")
    private String examCode;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "是否缺考")
    private Boolean absent;

    @ApiModelProperty(value = "是否应届")
    private Boolean studentCurrent;

    @ApiModelProperty(value = "是否发布")
    private String publishStatus;

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

    public Boolean getStudentCurrent() {
        return studentCurrent;
    }

    public void setStudentCurrent(Boolean studentCurrent) {
        this.studentCurrent = studentCurrent;
    }

    public String getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(String publishStatus) {
        this.publishStatus = publishStatus;
    }
}
